Subject: Re: [ANNOUNCE] Cogito-0.11.2

From: Dan Holmsand <[email-masked]>
Date: Thu, 09 Jun 2005 12:45:43 +0200

Petr Baudis wrote:
> Dear diary, on Thu, Jun 09, 2005 at 01:35:03AM CEST, I got a letter
> where Dan Holmsand <[email-masked]> told me that...
> 
>>Well, since I try to use the same output format as git-rev-list --pretty 
>>does (most of the time, it *is* just that...), I can actually already do
>>
>>   cg-log -r:cogito-0.11.1 | git-shortlog
>>
>>and get the same thing.
> 
> 
> I'll see how I like it, but currently I find myself use all of the
> commit header items a lot, so I'm not too keen to losing some of them,
> perhaps except the tree line. Ok, and it might be enough to have the
> parent lines only for the merge commits. Nothing against things like
> s/^author/Author:/.
> 

Oh, all the headers are still available, for sure, just not by default. 
"-v" or "--verbose" is the magic incantation.

The parent is also somewhat visible by default whenever it's not obvious 
who the parent is, as I keep git-diff-tree's "(from sha1)" thing.

/dan